Get a Cadence

Purpose

To fetch the details of a specific cadence using its unique ID.

Endpoints

  • GET /settings/automation/cadences/{cadence_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/cadences/{cadence_ID}

Supported Modules

Leads, Contacts, Deals, Vendors, and Custom modules.

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.cadences.ALL
(or)
ZohoCRM.settings.cadences.READ

Note

This feature is supported in the Standard and above editions.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/cadences/554023000004092008"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON Keys

  • summaryJSON object

    The count of each follow-up action type configured in the cadence.

    • email_follow_up_countinteger

      The number of email notification follow-ups in the cadence.

    • task_follow_up_countinteger

      The number of task follow-ups in the cadence.

    • call_follow_up_countinteger

      The number of scheduled call follow-ups in the cadence.

    • whatsapp_follow_up_countinteger

      The number of WhatsApp message notification follow-ups in the cadence.

  • idstring

    The unique ID of the cadence.

  • namestring

    The name of the cadence.

  • descriptionstring

    The description of the cadence.

  • typestring

    The enrollment type of the cadence. Possible values:

    • custom_view — The cadence is created for a specific custom view.
    • manual_enrollment — The cadence is created for manually enrolled records.
  • statusstring

    Represents whether the cadence is active. The possible values are active, inactive, and draft.

  • moduleJSON object

    The API name and unique ID of the module for which the cadence was created.

  • custom_viewJSON object

    The unique ID and name of the custom view for which this cadence was created. Returns null for cadences of type manual_enrollment.

  • execution_detailsJSON object

    The execution configuration of the cadence.

    • execute_everyJSON object

      The frequency at which the cadence re-evaluates records, expressed as a unit (integer) and period (string, e.g. hours, days, weeks). Returns null if not configured.

    • unenroll_propertiesJSON array

      The unenrollment rules configured for this cadence. Returns null if no unenrollment rules are configured.

  • follow_upsJSON array

    The list of follow-up actions configured in the cadence, in execution order.

    • idstring

      The unique ID of the follow-up.

    • parent_follow_upJSON object

      The ID and action type of the immediate parent follow-up. Returns null for the first follow-up in the cadence.

    • triggersJSON array

      The list of outcome states of the parent follow-up's action that trigger execution of this follow-up (for example, Opened, Completed). Returns null for the first follow-up.

    • execute_afterJSON object

      The delay before this follow-up executes after the triggering condition is met, expressed as a unit (integer), a period (string), and the internal id of the configuration.

    • actionJSON object

      The action associated with this follow-up. The keys in this object depend on the action such as email notifications, automation tasks, etc. Refer to that specific Action API for details.

  • created_byJSON object

    The name and unique ID of the user who created this cadence.

  • created_timestring

    The date and time at which the cadence was created, in ISO8601 format.

  • modified_byJSON object

    The name and unique ID of the user who last modified this cadence.

  • modified_timestring

    The date and time at which the cadence was last modified, in ISO8601 format.

Possible Errors

  • INVALID_DATAHTTP 400

    The cadence ID specified in the request URL is not valid.
    Resolution: Provide a valid cadence ID. Use the Get Cadences API to retrieve the IDs of all available cadences in your organization.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    You do not have the right scope to access this API.
    Resolution: Generate a new access token with the scopes mentioned in the Scope section and try this API.

  • FEATURE_NOT_ENABLEDHTTP 403

    The Cadences feature is not available in your edition.
    Resolution:Supported editions: Standard and above. Contact support@zohocrm.com or upgrade your edition.

  • NO_PERMISSIONHTTP 403

    You do not have the Manage Cadences permission to access this API.
    Resolution: Contact your administrator to get the required permission.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect or no cadence was found for the specified ID.
    Resolution: Verify the cadence ID and ensure the request URL follows the pattern {api-domain}/crm/{version}/settings/automation/cadences/{id}. Use the Get Cadences API to confirm that the cadence exists.

  • INTERNAL_SERVER_ERRORHTTP 500

    Unhandled and unexpected exception in server.
    Resolution: Contact support@zohocrm.com for assistance.

Sample Response

Copied{
    "cadences": [
        {
            "summary": {
                "whatsapp_follow_up_count": 0,
                "task_follow_up_count": 1,
                "call_follow_up_count": 0,
                "email_follow_up_count": 1
            },
            "created_time": "2024-07-29T03:51:51+00:00",
            "module": {
                "api_name": "Contacts",
                "id": "554023000000000129"
            },
            "description": "",
            "execution_details": {
                "unenroll_properties": null,
                "execute_every": null
            },
            "type": "manual_enrollment",
            "created_by": {
                "name": "Patricia Boyle",
                "id": "554023000000235011"
            },
            "modified_time": "2024-07-29T03:53:53+00:00",
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "554023000000235011"
            },
            "name": "CadenceTest1",
            "follow_ups": [
                {
                    "execute_after": {
                        "unit": 1,
                        "period": "hours",
                        "id": "554023000004092039"
                    },
                    "parent_follow_up": null,
                    "action": {
                        "template": {
                            "name": "Merry Christmas Offer",
                            "id": "554023000004092017"
                        },
                        "reply_to_address": {
                            "resource": {
                                "name": "Patricia Boyle",
                                "id": "554023000000235011",
                                "email": "shylaja.s@zohocorp.com"
                            },
                            "type": "user"
                        },
                        "created_time": "2024-07-28T16:53:19-11:00",
                        "lock_status": {
                            "locked": false
                        },
                        "related_details": null,
                        "editable": true,
                        "module": {
                            "singular_label": "Contact",
                            "plural_label": "Contacts",
                            "api_name": "Contacts",
                            "moduleName": "Contacts",
                            "id": "554023000000000129"
                        },
                        "related_module": null,
                        "deletable": true,
                        "source": "crm",
                        "type": "email_notifications",
                        "created_by": {
                            "name": "Patricia Boyle",
                            "id": "554023000000235011"
                        },
                        "feature_type": "cadences",
                        "modified_time": "2024-07-28T16:53:19-11:00",
                        "bulk_email": false,
                        "recipients": {
                            "to": [
                                {
                                    "associated_to": null,
                                    "resource": null,
                                    "details": {
                                        "api_name": "${!Contacts.Email}",
                                        "id": "554023000000000449"
                                    },
                                    "type": "merge_field"
                                }
                            ]
                        },
                        "associated": true,
                        "name": "Mail",
                        "modified_by": {
                            "name": "Patricia Boyle",
                            "id": "554023000000235011"
                        },
                        "id": "554023000004092030",
                        "from_address": {
                            "resource": {
                                "name": "Patricia Boyle",
                                "id": "554023000000235011",
                                "email": "shylaja.s@zohocorp.com"
                            },
                            "type": "user"
                        }
                    },
                    "id": "554023000004092037",
                    "triggers": null
                },
                {
                    "execute_after": {
                        "unit": 1,
                        "period": "hours",
                        "id": "554023000004092057"
                    },
                    "parent_follow_up": {
                        "id": "554023000004092037",
                        "type": "email_notifications"
                    },
                    "action": {
                        "created_time": "2024-07-28T16:53:52-11:00",
                        "lock_status": {
                            "locked": false
                        },
                        "related_details": null,
                        "editable": true,
                        "module": {
                            "api_name": "Contacts",
                            "id": "554023000000000129"
                        },
                        "related_module": null,
                        "deletable": true,
                        "source": "crm",
                        "type": "tasks",
                        "created_by": {
                            "name": "Patricia Boyle",
                            "id": "554023000000235011"
                        },
                        "notify": false,
                        "feature_type": "cadences",
                        "field_mappings": [
                            {
                                "display_value": "Hello",
                                "field": {
                                    "api_name": "Subject",
                                    "id": "554023000000000221"
                                },
                                "type": "static",
                                "value": "Hello"
                            },
                            {
                                "display_value": "Trigger Date plus 7 business day(s)",
                                "field": {
                                    "api_name": "Due_Date",
                                    "id": "554023000000000223"
                                },
                                "type": "execution_time",
                                "value": {
                                    "period": "business_days",
                                    "unit": "7",
                                    "trigger_field": "${CURRENTTIME}",
                                    "sign": "plus"
                                }
                            },
                            {
                                "display_value": "Not Started",
                                "field": {
                                    "api_name": "Status",
                                    "id": "554023000000000229"
                                },
                                "type": "static",
                                "value": "Not Started"
                            },
                            {
                                "display_value": "High",
                                "field": {
                                    "api_name": "Priority",
                                    "id": "554023000000000231"
                                },
                                "type": "static",
                                "value": "High"
                            }
                        ],
                        "modified_time": "2024-07-28T16:53:52-11:00",
                        "associated": true,
                        "modified_by": {
                            "name": "Patricia Boyle",
                            "id": "554023000000235011"
                        },
                        "name": "CadenceTest",
                        "id": "554023000004092053"
                    },
                    "id": "554023000004092055",
                    "triggers": [
                        "Opened"
                    ]
                }
            ],
            "id": "554023000004092008",
            "custom_view": null,
            "status": "active"
        }
    ]
}